<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.util.logging Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.util.logging Class Hierarchy";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/matlab/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/logging/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package ch.javasoft.util.logging
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">java.util.logging.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Formatter.html" title="class or interface in java.util.logging"><B>Formatter</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LogFormatter.html" title="class in ch.javasoft.util.logging"><B>LogFormatter</B></A></UL>
<LI TYPE="circle">java.util.logging.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Handler.html" title="class or interface in java.util.logging"><B>Handler</B></A><UL>
<LI TYPE="circle">java.util.logging.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/StreamHandler.html" title="class or interface in java.util.logging"><B>StreamHandler</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/AutoFlushStreamHandler.html" title="class in ch.javasoft.util.logging"><B>AutoFlushStreamHandler</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/AbstractStandardHandler.html" title="class in ch.javasoft.util.logging"><B>AbstractStandardHandler</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/StandardErrHandler.html" title="class in ch.javasoft.util.logging"><B>StandardErrHandler</B></A><LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/StandardOutHandler.html" title="class in ch.javasoft.util.logging"><B>StandardOutHandler</B></A></UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LevelFilter.html" title="class in ch.javasoft.util.logging"><B>LevelFilter</B></A> (implements java.util.logging.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Filter.html" title="class or interface in java.util.logging">Filter</A>)
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html" title="class in ch.javasoft.util.logging"><B>LogFragmenter</B></A><LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/Loggers.html" title="class in ch.javasoft.util.logging"><B>Loggers</B></A><LI TYPE="circle">java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io"><B>OutputStream</B></A> (implements java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Closeable.html" title="class or interface in java.io">Closeable</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Flushable.html" title="class or interface in java.io">Flushable</A>)
<UL>
<LI TYPE="circle">java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FilterOutputStream.html" title="class or interface in java.io"><B>FilterOutputStream</B></A><UL>
<LI TYPE="circle">java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io"><B>PrintStream</B></A> (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Closeable.html" title="class or interface in java.io">Closeable</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/AbstractStandardHandler.StandardStream.html" title="class in ch.javasoft.util.logging"><B>AbstractStandardHandler.StandardStream</B></A><LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LogPrintStream.html" title="class in ch.javasoft.util.logging"><B>LogPrintStream</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io"><B>Writer</B></A> (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Closeable.html" title="class or interface in java.io">Closeable</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Flushable.html" title="class or interface in java.io">Flushable</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LogWriter.html" title="class in ch.javasoft.util.logging"><B>LogWriter</B></A><LI TYPE="circle">java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io"><B>PrintWriter</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LogPrintWriter.html" title="class in ch.javasoft.util.logging"><B>LogPrintWriter</B></A></UL>
</UL>
</UL>
</UL>
<H2>
Enum Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang"><B>Enum</B></A>&lt;E&gt; (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;T&gt;, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LevelFilter.Type.html" title="enum in ch.javasoft.util.logging"><B>LevelFilter.Type</B></A><LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/LogFormatter.LogParameter.html" title="enum in ch.javasoft.util.logging"><B>LogFormatter.LogParameter</B></A><LI TYPE="circle">ch.javasoft.util.logging.<A HREF="../../../../ch/javasoft/util/logging/SystemProperties.html" title="enum in ch.javasoft.util.logging"><B>SystemProperties</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/matlab/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/logging/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
